Bug 1441740 - When moving AWS provider from one zone to another Network Manager info no longer updates
Summary: When moving AWS provider from one zone to another Network Manager info no lon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Ladislav Smola
QA Contact: Alex Newman
URL:
Whiteboard: zone
Depends On: 1439268
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 15:16 UTC by Satoe Imaishi
Modified: 2020-07-16 09:25 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439268
Environment:
Last Closed: 2017-05-31 15:03:57 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 18:46:25 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/1bc69271362db8aa0ea220c5842d4f8e9f0ec054

commit 1bc69271362db8aa0ea220c5842d4f8e9f0ec054
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr 12 07:54:05 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 14:43:38 2017 -0400

    Merge pull request #14741 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Method for ensuring managers change zone and provider region with CloudManager
    (cherry picked from commit 9cae7823ad1538f281e74235c41b891cfcae45aa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441740
    https://bugzilla.redhat.com/show_bug.cgi?id=1441753

 app/models/mixins/has_network_manager_mixin.rb | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2017-04-13 19:22:57 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/fine:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/0389bc3226d8f9adca5fb944a0d67ad91e5b5f5c

commit 0389bc3226d8f9adca5fb944a0d67ad91e5b5f5c
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Wed Apr 12 11:04:51 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 15:20:01 2017 -0400

    Merge pull request #212 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Ensure managers change zone and provider region with cloud manager
    (cherry picked from commit 544050624aa271596c906e455500c826bbae3260)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441740

 .../manageiq/providers/amazon/cloud_manager.rb     | 32 ++++++++++-----
 .../providers/amazon/cloud_manager_spec.rb         | 46 ++++++++++++++++++++++
 2 files changed, 69 insertions(+), 9 deletions(-)

Comment 4 CFME Bot 2017-04-13 19:36:03 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4086fa9b2c2ee2e3f9aee8655626c119c0aa8bf1

commit 4086fa9b2c2ee2e3f9aee8655626c119c0aa8bf1
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Wed Apr 12 09:45:45 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 15:33:56 2017 -0400

    Merge pull request #11 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Ensure managers change zone and provider region with cloud manager
    (cherry picked from commit c8fdfb05e34c77d63e31cd0bf0645e59e758644b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441740

 .../manageiq/providers/openstack/cloud_manager.rb  | 23 ++++++++++++--
 .../manageiq/providers/openstack/infra_manager.rb  |  1 +
 .../providers/openstack/cloud_manager_spec.rb      | 35 ++++++++++++++++++++++
 3 files changed, 57 insertions(+), 2 deletions(-)

Comment 6 errata-xmlrpc 2017-05-31 15:03:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.